Здравствуйте,скажите,почему у меня выскакивает окошко ,что моя операционная система не поддерживается Firefox(у меня установлена Windows 7 профессиональная,версия браузера 52.9.0)и обновления тоже не доступны?

У вас User Agent - Mozilla/5.0 (Windows NT 5.1; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
5.1 - это Windows XP. У Windows 7 - 6.1. Верните User Agent на реальный и обновление найдётся.

banbot пишет:

Mozilla/5.0 (Windows NT 5.1; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0

Не иначе для маскирования системы под наиболее распространённую? С другой стороны там WOW64, что редкость для XP.
Сейчас лучше под десятку, наверное, маскироваться.

Попробовал заменить  User Agent в странице настроек с WXP на W7(у меня W7),но все равно система определяется как XP браузером?пишет что с этой операционной системой обновления для Firefox не доступны больше.

DIX35
Открываете страницу about:config и фильтруете по значению general.useragent. Сбрасываете правой кнопкой мыши все значения на значения по умолчанию. Если не поможет, просто скачайте и установите новую версию вручную.